import java.awt.*;

import java.awt.geom.*;

import javax.swing.*;



import app.*;

import visual.VisualizationView;

import visual.dynamic.described.*;



/**

 * An example of "sprite animation" that uses a SampledSprite,

 * rotation tweening, and location tweening.

 *

 * @author  Prof. David Bernstein, James Madison University

 * @see     "The Design and Implementation of Multimedia Software  2011"

 * @version 1.0

 */

public class   AirplaneApp

       extends AbstractMultimediaApp

{

    /**

     * The entry point

     */

    public void init()

    {

       Airplane           plane;

       JPanel             contentPane;

       Stage              stage;

       VisualizationView  stageView;       



       // The Stage

       stage = new Stage(50);

       stage.setBackground(Color.white);

       stage.setRestartTime(12000);

       stageView = stage.getView();

       stageView.setBounds(0,0,640,480);       



       // The Sprite 

       plane = new Airplane();

       stage.add(plane);

       

       // The content pane

       contentPane = (JPanel)rootPaneContainer.getContentPane();

       contentPane.add(stageView);



       stage.start();

    }

}

