import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;
import io.*;
import visual.VisualizationView;
import visual.dynamic.described.*;
import visual.statik.sampled.*;

/**
 * An example of "sprite animation" that uses: a SampledSprite, location
 * tweening, and aligned rotation tweening
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   BusOnRouteApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point
     */
    public void init()
    {
       BusOnRoute                bus;
       Content                   map;
       ContentFactory            factory;
       JPanel                    contentPane;       
       ResourceFinder            finder;       
       Stage                     stage;
       VisualizationView         stageView;

       finder  = ResourceFinder.createInstance(this);       
       factory = new ContentFactory(finder);       

       // The Stage
       stage = new Stage(50);
       stage.getView().setBackground(Color.white);
       map = factory.createContent("map.png");
       stage.setRestartTime(30000);
       stageView = stage.getView();
       stageView.setBounds(0,0,640,480);

       // The static background
       stage.add(map);

       // The Sprite 
       bus = new BusOnRoute();
       stage.add(bus);
       
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(stageView);

       stage.start();
    }
}
