import java.awt.*;
import java.awt.geom.*;
import javax.swing.*;

import app.*;
import io.*;
import visual.*;
import visual.dynamic.described.*;
import visual.statik.sampled.*;

/**
 * An example of described dynamics (a.k.a., "sprite animation")
 * that uses a DescribedSprite, rotation tweening, and location tweening
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class   BuzzyOnMarsApp
       extends AbstractMultimediaApp
{
    /**
     * The entry point
     */
    public void init()
    {
       BuzzyOnMars               buzzy;
       Content                   mars;
       ContentFactory            factory;
       JPanel                    contentPane;       
       ResourceFinder            finder;       
       Stage                     stage;
       VisualizationView         stageView;

       finder  = ResourceFinder.createInstance(this);       
       factory = new ContentFactory(finder);       

       // The Stage
       stage = new Stage(50);
       stage.setBackground(Color.WHITE);
       stage.setRestartTime(7000);
       stageView = stage.getView();       
       stageView.setBounds(0,0,640,480);       
       mars = factory.createContent("mars.png");
       stage.add(mars);

       // The Sprite 
       buzzy = new BuzzyOnMars();
       stage.add(buzzy);
       
       // The content pane
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(stageView);

       stage.start();
    }
}
