import app.*;

import javax.swing.*;

/**
 * An example of a simple interactive MultimediaApplication
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class      InteractiveRandomMessageMultimediaApplication
       extends    MultimediaApplication
{
    /**
     * The entry-point of the application
     *
     * @param args    The command-line arguments
     */
    public static void main(String[] args) throws Exception
    {
       SwingUtilities.invokeAndWait(
          new InteractiveRandomMessageMultimediaApplication(args, 600, 400));
    }

    /**
     * Explicit Value Constructor
     *
     * @param args    The command-line aguments
     * @param width   The width of the content (in pixels)
     * @param height  The height of the content (in pixels)
     */
    public InteractiveRandomMessageMultimediaApplication(String[] args,
                                                         int width, int height)
    {
       super(args, new InteractiveRandomMessageApp(), width, height);       
    }
}
