import javax.sound.midi.*;

/**
 * Plays the first 7 notes of the JMU Fight Song
 *
 */
public class FightSong
{
    private static MidiChannel       channel;

    /**
     * The entry point
     * 
     * @param args  Command-line args (0 for instrument)
     */
    public static void main(String[] args) throws Exception
    {
       int             instrument;
       MidiChannel[]   channels;
       Soundbank       defaultSB;
       Synthesizer     synthesizer;
	
       // Parse the command-line argument
       instrument = Integer.parseInt(args[0]);
	
       // Create and open a MIDI synthesizer

       // YOUR CODE HERE!


       // Get the sound bank, load the instruments, and get the channels
       defaultSB = synthesizer.getDefaultSoundbank();
       synthesizer.loadAllInstruments(defaultSB);
       channels    = synthesizer.getChannels();
       channel     = channels[0];
	
       // Change the instrument
       channel.programChange(0,  instrument);

       // Play the first seven notes
       play(60, 300);
       play(62, 300);
       play(64, 600);
       play(60, 400);
       play(65, 400);
       play(64, 300);
       play(60, 300);
    }


    /**
     * Play the given note (60 is middle C) for the
     * given amount of time
     *
     * @param note   The note
     * @param millis The amount of time (in milliseconds)
     */
    private static void play(int note, int millis) throws Exception
    {
       // YOUR CODE HERE!
    }

}
