import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;

import app.*;

/**
 * An example that uses the FontCanvas
 *
 * @author  Prof. David Bernstein, James Madison University
 * @see     "The Design and Implementation of Multimedia Software  2011"
 * @version 1.0
 */
public class      FontCanvasApp
       extends    AbstractMultimediaApp
       implements ActionListener
{
    private FontCanvas             canvas;
    private JComboBox              fontList;    

    /**
     * Handle actionPerformed messages
     * (requried by ActionListener)
     *
     * @param evt   The ActionEvent that generated the message
     */
    public void actionPerformed(ActionEvent evt)
    {
       canvas.setFont(fontList.getSelectedIndex());
       canvas.repaint();       
    }

    /**
     * The entry point
     */
    public void init()
    {
       int                   fSize;
       JPanel                contentPane;
       String[]              names;
       
       fSize = 24;

       canvas = new FontCanvas(fSize);
       canvas.setBounds(0,0,800,300);

       names  = canvas.getFontFamilies();
       fontList = new JComboBox(names);       
       fontList.setBounds(0, 300, 800, 30);
       fontList.addActionListener(this);       
       
       contentPane = (JPanel)rootPaneContainer.getContentPane();
       contentPane.add(canvas);
       contentPane.add(fontList);       
    }
}

